Debian Bug report logs - #409482
python-moinmoin: GUI editing to text breaks contents

version graph

Package: python-moinmoin; Maintainer for python-moinmoin is Steve McIntyre <93sam@debian.org>; Source for python-moinmoin is src:moin.

Reported by: Osamu Aoki <osamu@debian.org>

Date: Sat, 3 Feb 2007 15:03:19 UTC

Severity: minor

Found in version moin/1.5.3-1.1

Fixed in version moin/1.8.4-1

Done: Frank Lin PIAT <fpiat@klabs.be>

Bug is archived. No further changes may be made.

Forwarded to http://moinmo.in/MoinMoinBugs/IndentingTableFails

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#409482; Package python-moinmoin. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to Jonas Smedegaard <dr@jones.dk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-moinmoin: GUI editing to text breaks contents
Date: Sat, 3 Feb 2007 23:55:58 +0900
Package: python-moinmoin
Version: 1.5.3-1.1
Severity: important

Simple table like:

 || a || b ||
 || q || w ||

breaks if it is opened in Edit (GUI) and click "Text Mode" like:

 .
|| a || b ||
 || q || w ||

Quite annoiyng and bad since it breaks data.


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages python-moinmoin depends on:
ii  moinmoin-common               1.5.3-1.1  Python clone of WikiWiki - common 
ii  python                        2.4.4-2    An interactive high-level object-o
ii  python-support                0.5.6      automated rebuilding support for p

Versions of packages python-moinmoin recommends:
ii  exim4                         4.63-17    metapackage to ease exim MTA (v4) 
ii  exim4-daemon-light [mail-tran 4.63-17    lightweight exim MTA (v4) daemon

-- no debconf information

-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Yokohama Japan, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#409482; Package python-moinmoin. Full text and rfc822 format available.

Acknowledgement sent to Franklin PIAT <fpiat@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. Full text and rfc822 format available.

Message #10 received at 409482@bugs.debian.org (full text, mbox):

From: Franklin PIAT <fpiat@bigfoot.com>
To: 409482@bugs.debian.org
Subject: python-moinmoin: GUI editing to text breaks contents
Date: Sat, 15 Mar 2008 15:12:53 +0100
Package: python-moinmoin
Followup-For: Bug #409482

This bug is related to upstream bug :
http://moinmo.in/MoinMoinBugs/IndentingTableFails

For the records, the bug can be reproduced on upstream's 1.6.1 :
http://moinmo.in/4ct10n/info/WikiSandBox?action=diff&rev2=1049&rev1=1048

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#409482; Package python-moinmoin. (Sat, 22 Nov 2008 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Jonas Smedegaard <dr@jones.dk>. (Sat, 22 Nov 2008 13:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 409482@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: 409482@bugs.debian.org
Cc: control@bugs.debian.org
Subject: python-moinmoin: GUI editing to text breaks contents
Date: Sat, 22 Nov 2008 14:07:47 +0100
forwarded 409482 http://moinmo.in/MoinMoinBugs/IndentingTableFails
severity 409482 minor
--

I am downgrading the severity of this bug, because the GUI editor will
be disabled in Lenny, so it can't break anything.

I am not closing the bug because the GUI will be re-introduced in 1.8.

Franklin





Noted your statement that Bug has been forwarded to http://moinmo.in/MoinMoinBugs/IndentingTableFails. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 22 Nov 2008 13:12:04 GMT) Full text and rfc822 format available.

Severity set to `minor' from `important' Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sat, 22 Nov 2008 13:12:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.8.4-1. Request was from Frank Lin PIAT <fpiat@klabs.be> to control@bugs.debian.org. (Sun, 28 Jun 2009 12:27:06 GMT) Full text and rfc822 format available.

Reply sent to Frank Lin PIAT <fpiat@klabs.be>:
You have taken responsibility. (Sun, 28 Jun 2009 12:27:08 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Sun, 28 Jun 2009 12:27:08 GMT) Full text and rfc822 format available.

Message #26 received at 409482-close@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: 409482-close@bugs.debian.org
Cc: control@bugs.debian.org
Subject: python-moinmoin: GUI editing to text breaks contents [FIXED]
Date: Sun, 28 Jun 2009 14:26:05 +0200
fixed 409482 1.8.4-1
thanks

Hello,

This bug is fixed in 1.8.4 (and maybe earlier), see:
 http://moinmo.in/MoinMoinBugs/IndentingTableFails

Thank you for reporting this bug,

Franklin

P.S
  Inserting an indented table under the GUI mode is a bit tricky at 
  this time: you have to create the table, the "cut" it, then press
  on the indenting button and finally "paste" the table.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Jul 2009 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:17:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.